<!doctype html>
<html>
<head>
    <title>How We Work | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="How We Work | Tor Project">
    <meta property="og:description" content="The Tor Project is driven by ideas. We believe in the right to privacy for every person on the...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/how-we-work/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        How We Work
      </h1>
    <p class="meta">by ailanthus | June 23, 2015</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>The Tor Project is driven by ideas. We believe in the right to privacy for every person on the planet. Our community—paid and volunteer—brainstorms projects that embody those ideas, like decentralized hidden messaging systems or ingenious new ways to get uncensored Internet access to people in China.</p>

<p>On our public wikis, we make lists of what we need to build these projects—and then we approach potential sponsors with these lists. If we’re lucky, a sponsor will pay to do the project. If not, we may make it for free.  </p>

<p>This is true whether the potential sponsor is a government agency or anyone else. </p>

<p>Because of this system, some projects, like hidden services, need more funding, and we are seeking individual contributions to make this technology stronger. One day we hope to build it into many more programs—for instance, phone apps--to make them private and secure by default. </p>

<p>Our diverse, international community includes thousands of men and women inspired by the ideals we share. They work to support Tor and create important tools based on Tor, like Tails and Orbot (there are at least a dozen of these). Our group includes visionaries who think and talk publicly about the Internet and the future of privacy; among them: <a href="https://twitter.com/nickm_tor" rel="nofollow">@nickm_tor</a>, <a href="https://twitter.com/ioerror" rel="nofollow">@ioerror</a> and <a href="https://twitter.com/RogerDingledine" rel="nofollow">@RogerDingledine</a>. <a href="https://twitter.com/aaronsw" rel="nofollow">@aaronsw</a> was one of us.</p>

<p>We will accept no back doors to our software, ever. You can watch @ioerror talk about this at <a href="http://media.ccc.de/browse/congress/2014/31c3_-_6251_-_en_-_saal_1_-_201412301400_-_state_of_the_onion_-_jacob_-_arma.html#video" rel="nofollow">last year’s 31c3 talk</a> in Hamburg. We believe in and build free, open source software—free as in freedom. Tor’s source code is online for everyone to see. </p>

<p>We are proud of our people, our work, and our ideals. We are a human rights organization. We are inventors. Our community is a workshop for the future of privacy tools; maybe even for the future of privacy. </p>

<p>The Tor community is open to newcomers; we hope you will join us.</p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/community">
          community
        </a>
      </li><li>
        <a href="../category/fundraising">
          fundraising
        </a>
      </li><li>
        <a href="../category/onion-services">
          onion services
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-95769"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95769" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 23, 2015</p>
    </div>
    <a href="#comment-95769">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95769" class="permalink" rel="bookmark">Kate, many thanks for your</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Kate, many thanks for your great statement!</p>
<p>But one question: Why this statement right now? Are there any new threats to the Tor Project?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-95773"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95773" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  ailanthus
  </article>
    <div class="comment-header">
      <p class="comment__submitted">ailanthus said:</p>
      <p class="date-time">June 23, 2015</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-95769" class="permalink" rel="bookmark">Kate, many thanks for your</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-95773">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95773" class="permalink" rel="bookmark">Everything&#039;s good at</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Everything's good at Tor--but it's clear that not everybody outside of Tor knows about our system for deciding what to work on-- so I thought I'd clarify it.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-96310"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-96310" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 06, 2015</p>
    </div>
              <p class="parent visually-hidden">In reply to ailanthus</p>
    <a href="#comment-96310">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-96310" class="permalink" rel="bookmark">Hi
is there an _official_</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi<br />
is there an _official_ way to bootstrp tor-client with help of another active tor-client? and so use not preloaded but current list of entry/directory servers?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-95771"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95771" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 23, 2015</p>
    </div>
    <a href="#comment-95771">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95771" class="permalink" rel="bookmark">Hi
I am from Iran
Thank</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi<br />
I am from Iran<br />
Thank you<br />
Grateful</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-95772"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95772" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 23, 2015</p>
    </div>
    <a href="#comment-95772">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95772" class="permalink" rel="bookmark">Here is the link to the 31c3</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Here is the link to the 31c3 video :<br />
<a href="https://media.ccc.de/browse/congress/2014/31c3_-_6251_-_en_-_saal_1_-_201412301400_-_state_of_the_onion_-_jacob_-_arma.html#video" rel="nofollow">https://media.ccc.de/browse/congress/2014/31c3_-_6251_-_en_-_saal_1_-_2…</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-95779"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95779" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  mrphs
  </article>
    <div class="comment-header">
      <p class="comment__submitted">mrphs said:</p>
      <p class="date-time">June 23, 2015</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-95772" class="permalink" rel="bookmark">Here is the link to the 31c3</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-95779">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95779" class="permalink" rel="bookmark">Thanks! I just added it to</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks! I just added it to the post.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-95782"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95782" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 23, 2015</p>
    </div>
    <a href="#comment-95782">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95782" class="permalink" rel="bookmark">1.3 billion people inside</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>1.3 billion people inside the G.F.W. thank you.<br />
防火长城里面的十三亿人民感谢你们。</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-95801"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95801" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 23, 2015</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-95782" class="permalink" rel="bookmark">1.3 billion people inside</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-95801">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95801" class="permalink" rel="bookmark">最近meek又可以用了。</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>最近meek又可以用了。</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-95840"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95840" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 24, 2015</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-95801" class="permalink" rel="bookmark">最近meek又可以用了。</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-95840">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95840" class="permalink" rel="bookmark">But not stable at all time.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>But not stable at all time. I prefer customized bridges to Tor, which I don't think that the evil communist china could block all the bridges inputted manually.<br />
We need freedom and human right rather than china-dream.<br />
我们需要自由和人权，而不是中国梦。</p>
<p>Thanks Tor. We love Tor.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-95947"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95947" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 26, 2015</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-95782" class="permalink" rel="bookmark">1.3 billion people inside</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-95947">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95947" class="permalink" rel="bookmark">Fire the Wall</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Fire the Wall</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-95783"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95783" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 23, 2015</p>
    </div>
    <a href="#comment-95783">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95783" class="permalink" rel="bookmark">Maybe I am a little bit</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Maybe I am a little bit naive but you talk about China having issues please let not forget other countries such as :-</p>
<p>- UK<br />
- USA<br />
- (add your own primary concerned countries)</p>
<p>thanks</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-95880"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95880" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 25, 2015</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-95783" class="permalink" rel="bookmark">Maybe I am a little bit</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-95880">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95880" class="permalink" rel="bookmark">AUS is adding in censorship,</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>AUS is adding in censorship, this sucks</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-95791"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95791" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 23, 2015</p>
    </div>
    <a href="#comment-95791">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95791" class="permalink" rel="bookmark">Thank you to everyone</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thank you to everyone involved with improving Tor!<br />
Re: Funding<br />
Has the possibility to pick one goal on the road map and try to crowd-fund it been considered by Tor developers?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-95798"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95798" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 23, 2015</p>
    </div>
    <a href="#comment-95798">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95798" class="permalink" rel="bookmark">According to Chinese and</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>According to Chinese and Russian authorities who have managed to crack some of the encrypted files held by Edward Snowden, Tor contains code that help the NSA and GCHQ track people who write bad things about the United States and its "Five Eyes" allies.</p>
<p><b>So long as Tor is used by people to feedback about human rights abuses, abuses of freedom of speech and expression in countries other than the U.S. and Western Europe, it is permissible.</b></p>
<p>But as soon as people use Tor to criticise about human rights abuses in the U.S. and its allies, the NSA and GCHQ will track them. There are cases in which people use Tor to criticise the American government for not indicting racist police officers who targeted and killed African-Americans.</p>
<p>Another example is when people use Tor to criticise the American-led invasion of Libya. These people's online activities have been tracked by the NSA and GCHQ.</p>
<p>A most recent example is one which involves three sisters and their nine children who managed to leave the UK and join Islamic State in Syria this month despite them having been barred from flying in March by British customs. Brits start to criticise the UK government for their lax security and some of them have taken to using Tor to voice their criticisms. Not surprisingly the British domestic intelligence agency manage to track these people's online activities through Tor.</p>
<p>One starts to wonder who among the Tor developers have been bought by the NSA and its allies with huge amounts of money and promises of a life of luxury beyond imagination. If I were a Tor developer or contributor, I would never resist such good offers. <i>Why be hard on oneself when life is short?</i></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-95807"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95807" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  ailanthus
  </article>
    <div class="comment-header">
      <p class="comment__submitted">ailanthus said:</p>
      <p class="date-time">June 23, 2015</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-95798" class="permalink" rel="bookmark">According to Chinese and</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-95807">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95807" class="permalink" rel="bookmark">Hi,
What are your sources?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi,</p>
<p>What are your sources? The whole idea of Tor is that people can use it to be anonymous on the web.</p>
<p>Thanks.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-95976"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95976" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 26, 2015</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-95807" class="permalink" rel="bookmark">Hi,
What are your sources?</a> by ailanthus</p>
    <a href="#comment-95976">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95976" class="permalink" rel="bookmark">What are your sources?
The</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><cite>What are your sources?</cite></p>
<p>The spooks who work or used to work for the "Five Eyes".</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-95817"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95817" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 24, 2015</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-95798" class="permalink" rel="bookmark">According to Chinese and</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-95817">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95817" class="permalink" rel="bookmark">&quot;According to Chinese and</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>"According to Chinese and Russian authorities who have managed to crack some of the encrypted files held by Edward Snowden, Tor contains code that help the NSA and GCHQ track people"<br />
Two of the regimes with most to lose with free speech on the internet claim that Tor is bad for you? Shocker.<br />
If the Russians or Chinese had really found such code they would have published it to gain propaganda points against Tor. Instead they just have to rely on spreading FUD, not as much pr points as actual facts, but points non the less.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-95832"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95832" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 24, 2015</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-95798" class="permalink" rel="bookmark">According to Chinese and</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-95832">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95832" class="permalink" rel="bookmark">This statement is an old</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>This statement is an old lie: <i>According to Chinese and Russian authorities who have managed to crack some of the encrypted files held by Edward Snowden</i></p>
<p>No such thing has happened and there is no evidence of any such thing having happened. It is a lie often repeated but it is not true.</p>
<p>This statement is a new lie: <i>Tor contains code that help the NSA and GCHQ track people who write bad things about the United States and its "Five Eyes" allies.</i></p>
<p>That is absolute horse shit.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-95833"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95833" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 24, 2015</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-95798" class="permalink" rel="bookmark">According to Chinese and</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-95833">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95833" class="permalink" rel="bookmark">This post smells like that</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>This post smells like that Russian troll factory's output. To be fair to our Russian comrades though, it could also be a domestic equivalent because the English is pretty good. <a href="http://www.theguardian.com/world/2015/apr/02/putin-kremlin-inside-russian-troll-house" rel="nofollow">http://www.theguardian.com/world/2015/apr/02/putin-kremlin-inside-russi…</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-95844"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95844" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 24, 2015</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-95798" class="permalink" rel="bookmark">According to Chinese and</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-95844">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95844" class="permalink" rel="bookmark">不可能的，真的没有</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>不可能的，真的没有。<br />
It's impossible. We Communist China received no files from Snowden. All his files were encrypted by PGP. We don't have his private key and passphrase, unless he decrypted himself.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-95879"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95879" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 25, 2015</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-95798" class="permalink" rel="bookmark">According to Chinese and</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-95879">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95879" class="permalink" rel="bookmark">Humanity has only evolved</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Humanity has only evolved with memory of those who struggled and those were the ones that could not be bought.  The rest are just worms that live and die quickly.  There is always plenty for worms to feed on but there are also humans that will not eat this crap.</p>
<p>Now, if you really believe that one can do harm within a collective project I suggest you look into it psychologically.  Spreading fear, doubt, and caution though is not wise.  The code is open, thousands and thousands who have doubts will report on a bug, this is the beauty of it all.</p>
<p>This poison that is continuously spread among us is this importance of the good or bad individual.  The collective being can hardly be affected by any individual action.  This is how Rambo is propaganda by the state while convoy really wasn't.  The importance is not to win in their terms but to struggle according to our terms.  They may win fights but they will eventually lose the war against nature, freedom, and humanity.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-95887"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95887" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 25, 2015</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-95798" class="permalink" rel="bookmark">According to Chinese and</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-95887">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95887" class="permalink" rel="bookmark">My bet, that they were</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>My bet, that they were tracked by side channel. For example, by trojan in their Windows Operating System, or anyhow else. </p>
<p>Tor here - is just a toool, not a bulletproof vest. </p>
<p>You can create thousands of defensive towers.<br />
Use only strong crypto.<br />
Keeping twelve angry dogs on your backyard.<br />
Holding machinegun right on the you work place, everytime. </p>
<p>But one little hole in your walls can give em chance to track you. </p>
<p>Little bug in the "Video card" or in the cell phone can break all of your invisibility.</p>
<p>Take a look at sha256 - it was developed by NSA, however, Tor's hidden services and Bitcoin are based on this standard. This doesn't means that developers are not afraid of backdoors in sha256. Everybody are looking for backdoors in sha256. It is like alchemy now.</p>
<p>Time shows us that there is no way to increase speed of brute-force attack on sha256. Otherwise Bitcoin was be cracked. It is millions of dollars ( $ ). Money here, like a border, edge of security.</p>
<p>Of-course, Tor's code much harder than sha256 block-scheme. Anyway, there are BIG community involved into this project, and large number of peoples are trying to achieve security of Tor.</p>
<p>From the other side. Agency, like NSA, of-course is interesting in Tor project. And FBI, and CIA, and FSB. All of them are dreaming to have BackDoor in the code of Tor-daemon, to track all of the Earth. But first of all, their efforts are directed to side channel attacks. </p>
<p>They are perceiving Tor as a Wall, as a Border, and they are playing around this wall with others. With us.</p>
<p>Moreover. Methinks, they are much more interesting in creating more such walls. Similar to Tor projects. Because, for them, it is like sandbox. Like training place.</p>
<p>Otherwise, they can place TAP-devices on the Internet backbones without any raisin. </p>
<p>It's boring. It is no development. It has no future.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-95799"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95799" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 23, 2015</p>
    </div>
    <a href="#comment-95799">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95799" class="permalink" rel="bookmark">A good chunk of the folks</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>A good chunk of the folks outside the GFW thank you as well.  Keep up the good work!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-95805"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95805" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 23, 2015</p>
    </div>
    <a href="#comment-95805">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95805" class="permalink" rel="bookmark">&quot;We will accept no back</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>"We will accept no back doors to our software, ever. "</p>
<p>This is the most important statement in this post!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-95809"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95809" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  ailanthus
  </article>
    <div class="comment-header">
      <p class="comment__submitted">ailanthus said:</p>
      <p class="date-time">June 23, 2015</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-95805" class="permalink" rel="bookmark">&quot;We will accept no back</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-95809">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95809" class="permalink" rel="bookmark">Yes! I encourage you to</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Yes! I encourage you to check out the 31c3 video, "State of the Onion," (link is in the blog post) and watch us explain our views on this a bit more forcefully than I do here.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-95983"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95983" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 26, 2015</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-95805" class="permalink" rel="bookmark">&quot;We will accept no back</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-95983">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95983" class="permalink" rel="bookmark">&quot;We will accept no back</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><cite>"We will accept no back doors to our software, ever. "<br />
This is the most important statement in this post!</cite></p>
<p>Any software developer can make wild claims about their products.</p>
<p>The real proof is whether Tor has undergone a thorough audit by independent auditors. I'm sad to state that up till now, it hasn't.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-113478"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-113478" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">October 30, 2015</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-95983" class="permalink" rel="bookmark">&quot;We will accept no back</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-113478">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-113478" class="permalink" rel="bookmark">Well then, you might</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Well then, you might like<br />
<a href="https://blog.torproject.org/blog/isec-partners-conducts-tor-browser-hardening-study" rel="nofollow">https://blog.torproject.org/blog/isec-partners-conducts-tor-browser-har…</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-95837"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95837" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 24, 2015</p>
    </div>
    <a href="#comment-95837">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95837" class="permalink" rel="bookmark">Yo, ailanthus! Please</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Yo, ailanthus! Please advise. </p>
<p>We currently have a crisis with Bashir, the ICC and South African political leadership and, as a consequence of proposed internet censorship by the FPB in that country as well as current reprisals against local activists, I thought I'd get a twitter account via tor. </p>
<p>But twitter require a valid mobile phone number before they'll authorize the registration of any new account - even with TBB. </p>
<p>Or am I doing something wrong?</p>
<p>And please understand that the SA political leadership has, in the past, framed false criminal charges against various ISP and media houses in order to leverage the issuance of subpoenas to ensure co-operation with their security police units. I'm not going back to goal in for any democratic cause. I'm too old.</p>
<p>I'll check back in a few days for your response. TIA</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-95846"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95846" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 24, 2015</p>
    </div>
    <a href="#comment-95846">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95846" class="permalink" rel="bookmark">Yo, ailanthus.
Yes, it is I</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Yo, ailanthus.</p>
<p>Yes, it is I - once more. </p>
<p>Here,</p>
<p><a href="http://www.iol.co.za/news/crime-courts/still-no-answers-on-bashir-s-departure-1.1875997" rel="nofollow">http://www.iol.co.za/news/crime-courts/still-no-answers-on-bashir-s-dep…</a></p>
<p>you will find material relevant to my previous post.</p>
<p>I must now report that the plaintiff in this instance - Southern Africa Litigation Centre - has ominously had it's website taken off line. Google it and you'll find the url. But, according to Mozilla, it's server is no longer functional. Contact with the community has been banned. </p>
<p>Now go figger!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-95851"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95851" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arthuredelstein
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arthuredelstein said:</p>
      <p class="date-time">June 24, 2015</p>
    </div>
    <a href="#comment-95851">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95851" class="permalink" rel="bookmark">I love this post!</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I love this post!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-95924"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95924" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 25, 2015</p>
    </div>
              <p class="parent visually-hidden">In reply to arthuredelstein</p>
    <a href="#comment-95924">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95924" class="permalink" rel="bookmark">me tot</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>me tot</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-95860"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95860" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 24, 2015</p>
    </div>
    <a href="#comment-95860">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95860" class="permalink" rel="bookmark">&gt; According to Chinese and</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; According to Chinese and Russian authorities who have managed to crack some of the encrypted files held by Edward Snowden, Tor contains code that help the NSA and GCHQ track people who write bad things about the United States and its "Five Eyes" allies.</p>
<p>I believe you may be thinking of a laughably inaccurate and misleading story which appeared in the Sunday Times earlier this month, which made vaguely similar claims.   The best debunking I have seen comes from one of the worlds most respected cryptologists:</p>
<p><a href="https://www.wired.com/2015/06/course-china-russia-snowden-documents/" rel="nofollow">https://www.wired.com/2015/06/course-china-russia-snowden-documents/</a><br />
China and Russia Almost Definitely Have the Snowden Docs<br />
Bruce Schneier<br />
16 Jun 2015</p>
<p>"Last weekend, the Sunday Times published a front-page story (full text here), citing anonymous British sources claiming that both China and Russia have copies of the Snowden documents. It’s a terrible article, filled with factual inaccuracies and unsubstantiated claims about both Snowden’s actions and the damage caused by his disclosure, and others have thoroughly refuted the story. I want to focus on the actual question: Do countries like China and Russia have copies of the Snowden documents?<br />
I believe the answer is certainly yes, but that it’s almost certainly not Snowden’s fault.<br />
But while cryptography is strong, computer security is weak. The vulnerability is not Snowden; it’s everyone who has access to the files.<br />
,,,<br />
I believe that both China and Russia had access to all the files that Snowden took well before Snowden took them because they've penetrated the NSA networks where those files reside."</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-95867"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95867" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 24, 2015</p>
    </div>
    <a href="#comment-95867">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95867" class="permalink" rel="bookmark">&gt; So long as Tor is used by</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; So long as Tor is used by people to feedback about human rights abuses, abuses of freedom of speech and expression in countries other than the U.S. and Western Europe, it is permissible. But as soon as people use Tor to criticize about human rights abuses in the U.S. and its allies, the NSA and GCHQ will track them.</p>
<p>First, I strongly agree that it is the duty of every citizen (of every nation) to criticize in the strongest terms such outrageous illegal activities of USIC as extra-judicial political assassination, torture, kidnapping, cyberintrusions into foreign telecom networks and employee health-care systems.  Or profiling American children aged 3-7 yo for alleged "future terrorist propensity", i.e. creating a new Jim Crow of state-sponsored discrimination not unlike the institutionalized racism of South Carolina c. 1850.  </p>
<p>Some analogies which I am sad to say appear to have considerable validity:</p>
<p>planter class: overseers: slaves<br />
0.1 percent: USIC: 99.9 percent</p>
<p>Second, I agree that the published documents from the Snowden trove clearly show that NSA/GCHQ use their global surveillance apparatus to track down bloggers who express views they dislike.</p>
<p>As the author of one of the documents leaked by Snowden asked rhetorically: "what agency doesn't want to make the world a better place... for itself?"  That pretty well captures the cynical amorality of the professional spook.  Eliminating dissenting views is just one part of the evil they have wrought.</p>
<p>Third, I agree that thanks to Snowden it is no longer a plausible conjecture that NSA and GCHQ try hard to subvert Tor in order to do harm to Tor users.  It is established fact, because these documents contain detailed information on their schemes.  However, the documents clearly show that as of mid 2012, NSA and its sidekicks were not trying to directly insert malware into Tor itself, but were following the easier path of attacking components of the browser, experimenting with types of attacks anticipated by the Tor developers (such as Sybil attacks), abusing hard to avoid features of the "ecosystem" such as certain kinds of cookies, and taking advantage of user error.</p>
<p>See <a href="https://eff.org/nsa-spying/nsadocs" rel="nofollow">https://eff.org/nsa-spying/nsadocs</a> for a compendium; look for the documents discussing attacks on Tor.</p>
<p>&gt; One starts to wonder who among the Tor developers have been bought by the NSA and its allies</p>
<p>It is true that years ago Roger D worked as a summer intern at NSA.  And one of the published documents is an NSA memo summarizing an invited talk he gave to his former employers, who apparently learned much less than they had hoped.  The Snowden documents are themselves the best proof that Roger at least is not exactly a cats-paw of NSA!   That is very good to know, with a good degree of assurance.</p>
<p>It is also true that the original developers of Tor were (and are) career employees at NRL (Naval Research Laboratories, part of the US Navy).  In that sense, Tor was born inside the belly of the beast.</p>
<p>But we must all acknowledge that over the decades, the US Surveillance-Military-Industrial Complex has metastasized throughout American society like some deadly stage four cancer.  Ties to the USIC are fairly common among US persons with programming skills.  NSA is indeed the enemy of every citizen, everywhere in the world, but not everyone with ties to NSA is an enemy.</p>
<p>This said, I share the ongoing concern about the possibility (probability) that NSA will try to "shape" future directions of the Tor Project to suit its evil schemes, and I believe that the Project must accept that many will share it for quite some time to come.  </p>
<p>I myself have tried to express concern about current ties of Rachel G, an US academic who does research on evading stylometry deanonymization attacks using stylometry, and who happens to be Roger's wife.   She says her motives are pure and I have no reason to doubt that.  My concern is that according to a profile of her work which appeared in a US military newspaper, DARPA views her work as supporting their efforts to deanonymize blog posts like this using stylometry.  I provided a link and a quote but my post was censored.  My point was and is not to criticize RG but to try to explain why IMO she has something to explain: how can she prevent her work from being exploited to harm people like us who need to express views which USIC might dislike?</p>
<p>Along the same lines, I and other users have urged the project to turn away funds from dubious sources such as SRI and DARPA.</p>
<p>&gt; with huge amounts of money and promises of a life of luxury beyond imagination.</p>
<p>In general, they need promise far less than all that to "persuade" people to "assist" them, unfortunately.  </p>
<p>&gt; If I were a Tor developer or contributor, I would never resist such good offers. Why be hard on oneself when life is short?</p>
<p>Well, that's you.  I feel there is still some reason to hope that Tor people would be far more resistant to threats/enticements from USIC.</p>
<p>I wish every Tor user personally knew some Tor developers.  That's not possible, but Kate's suggestion that concerned users seek out videos of talks given by Tor developers is probably the next best thing.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-95870"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95870" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 24, 2015</p>
    </div>
    <a href="#comment-95870">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95870" class="permalink" rel="bookmark">Sorry for the technical</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Sorry for the technical question here but my 'Tor circuit for this site' info always has the same location (and correspondent ip) marked as Location 1 (1st position).</p>
<p>Clicking 'New identity' or 'New tor circuit for this site' will do nothing to change it and even restarting the browser does nothing. Is this normal or should I be concerned?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-95876"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95876" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 25, 2015</p>
    </div>
    <a href="#comment-95876">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95876" class="permalink" rel="bookmark">Unless something has changed</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Unless something has changed recently twitter does allow registration by email alone with out a phone and even though it is hard to use with js disabled it is still possible.  Although if you take many other precautions tails/wifi etc. even js will not hurt you.</p>
<p>In terms of reporting political matters within a spectrum of either the left or a/a movements a simple blog and/or publication of reports to indymedia servers will encounter enough solidarity republication response that will eventually find its way to social media.  So find a way to publish your report according to the norms of the relative political movement.  Newcomers and fascists do not fare well unless they get "agency" support.</p>
<p>I don't believe there is a state in this universe that does not use "any" means to defeat any organization of opposition.  Which taken back to this talk of China or North Korea, Saudi Arabia, Turkey and other totalitarian regimes the variation to the most liberal European democracy is just that of shades of gray.  It is a variation of the matrix programming, pretty on the outside equally ugly on the inside.</p>
<p>Openmailbox.org riseup.net and others provide you with email that you may keep anonymous if you want.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-95890"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95890" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 25, 2015</p>
    </div>
    <a href="#comment-95890">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95890" class="permalink" rel="bookmark">&quot;We believe in the right to</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>"We believe in the right to privacy for every person on the planet."</p>
<p>"We will accept no back doors to our software, ever."</p>
<p>Thank you for your unambiguous statements regarding these two essential points.</p>
<p>The trouble comes when the Project fails, time and again, to make similarly unambiguous statements regarding two other essential points: </p>
<p>o Does the Project regard censorship, on-line trolling campaigns, illicit cyberintrusions for cyberespionage, "effects operations", cyberwarfare, and domestic population as acceptable [sic] when performed by the current government of the USA and its allies (e.g. JTRIG, a unit of GCHQ which has been profiled in several stories at The Intercept), but not by the current governments of nations such as China, Russia, or Zimbabwe?  Or does it oppose these things unambiguously and universally?  If your privacy has been invaded, or if your communications have been disrupted, does it really matter whether these crimes were committed at the behest of President Obama or President Putin?</p>
<p>o Much of the Project's funding apparently comes from USIC tied entities such as SRI (Stanford Research Institute).  Doesn't this render the Project susceptible to "shaping" by NSA and friends?</p>
<p>You wrote: </p>
<p>"Our community—paid and volunteer—brainstorms projects that embody those ideas, like decentralized hidden messaging systems or ingenious new ways to get uncensored Internet access to people in China."</p>
<p>But what about (for example) Australian censorship?</p>
<p>I draw your attention once again to a key point which has been made by many knowledgeable observers: since 9/11 the FVEY governments appear to be moving closer and closer to the governments of nations like Russia, China, Pakistan, Thailand in controlling what technologies citizens are permitted to use, and how and where, and what and where they are permitted to read and post.  </p>
<p>Recently enacted laws in Australia, Spain, and proposed laws in Canada, US, France show this trend very clearly when compared with "presidential decrees" in Russia and Chinese government policies which establish programs for even more intrusive surveillance and control of their own citizens.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-95899"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95899" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 25, 2015</p>
    </div>
    <a href="#comment-95899">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95899" class="permalink" rel="bookmark">Shall wa consider the &quot;no</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Shall wa consider the "no back door, ever" statement<br />
on /this/ page a warrant canari ? Will you remove it (as far as possible) in case something "bad" happens ?</p>
<p>Shoudn't an "official" canari stand on Torpoject's main page,<br />
thoughn clearly designated as such and approved by<br />
Roger - Nick - whoever... ?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-95922"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95922" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 25, 2015</p>
    </div>
    <a href="#comment-95922">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95922" class="permalink" rel="bookmark">Hi.
 I really respect Tor</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi.</p>
<p> I really respect Tor project.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-95923"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95923" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 25, 2015</p>
    </div>
    <a href="#comment-95923">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95923" class="permalink" rel="bookmark">I am under serious</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I am under serious censorship.</p>
<p> and Tor helped me a lot..</p>
<p> but knowing the device information etc. 'they' seem to hack into the system before I connect to the Tor browser.. probably network itself.</p>
<p> would there be an way to solve this issue?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-95989"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-95989" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 27, 2015</p>
    </div>
    <a href="#comment-95989">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-95989" class="permalink" rel="bookmark">I am curious if anyone knows</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I am curious if anyone knows of good Linux &amp; BSD Anti-forensics sites &amp; resources?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-96061"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-96061" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 01, 2015</p>
    </div>
    <a href="#comment-96061">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-96061" class="permalink" rel="bookmark">Anonymity matters. </a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Anonymity matters.  From</p>
<p><a href="http://america.aljazeera.com/opinions/2015/7/social-movements-need-anonymity-but-corporations-are-taking-it-away.html" rel="nofollow">http://america.aljazeera.com/opinions/2015/7/social-movements-need-anon…</a><br />
Social movements need anonymity, but corporations are taking it away<br />
Joshua Kopstein<br />
1 Jul 2015</p>
<p>"It’s not easy to be anonymous on the Internet these days. Some would argue it’s impossible. But in a time of rampant trolling, hacking and corporate and government mass surveillance, the protective cloak of anonymity and online pseudonyms has never been more vital to marginalized groups and social movements around the world."</p>
<p>Referring to a recent SCOTUS decision, Kopstein asks:</p>
<p>"Consider the oppressive technological potential of today’s police and governments and imagine, briefly, how we might have reached last week’s victory if the gay liberation movement had begun today. How many future movements will be silently quashed and brutalized under the boot heel of an inescapable surveillance state?"</p>
<p>What corporations oppose anonymity?  The motion picture industry and Facebook are named as two of the chief offenders.  Kopstein concludes:</p>
<p>"Today, corporate interests — often more so than governments — are chipping away at any possibility of remaining anonymous on the Internet."</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-96062"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-96062" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 01, 2015</p>
    </div>
    <a href="#comment-96062">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-96062" class="permalink" rel="bookmark">A NATO think tank has just</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>A NATO think tank has just published a fine introduction to Tor, a bit longer (30 pp) than the UK Parliament Technical advisory paper (4 pp) from last year:</p>
<p>Emin Çalışkan, Tomáš Minárik, Anna-Maria Osula<br />
Technical and Legal Overview of the Tor Anonymity Network<br />
NATO Cooperative Cyber Defence Centre of Excellence<br />
Jun 2015<br />
<a href="http://www.ccdcoe.org" rel="nofollow">www.ccdcoe.org</a><br />
(Republished at cryptome.org)</p>
<p>Notable features include:</p>
<p>o discusses human rights applications positively,</p>
<p>o discusses why USG has funded Tor,</p>
<p>o fails to discuss why this might be problematic,</p>
<p>o fails to discuss the contradiction between NRL/DARPA/NID/SRI funding of Tor with calls from some US/EU officials to declare Tor illegal, or to otherwise block users from using it, but doesn't seem well disposed towards such demands,</p>
<p>o cites <a href="https://blog.torproject.org/blog" rel="nofollow">https://blog.torproject.org/blog</a> several times,</p>
<p>o cites Andrew Lewman's claim that insiders in certain Western agencies sometimes help Tor developers resist some (Chinese?  Iranian?) state-sponsored attempts to subvert Tor.</p>
<p>I suggest that Tor Project archive copies of the better overviews of current Tor network in some prominent place, or at least link to them.  It would be good to have them handy to quote to politicians at every opportunity, since they all (even the ones from unlikely sources such as NATO think tanks) seem to agree that Tor is an essential component of the technological infrastructure of global society.</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
